Subject: Re: bug#32281: shr.el align support patch
From: Bad Blue Bull <[email-masked]>
To: Noam Postavsky <[email-masked]>
Date: Mon, 06 Aug 2018 16:01:49 +0300

> The indentation in your patch looks kind of off, are you not using
> Emacs' builtin auto-indentation? (also, don't leave hanging parens.)

I have (setq-default lisp-body-indent 2) in my ~/.emacs, things seemed
for me indented like the rest of the source, as for hanging parens -
there's a comment (that though should be put before paren as it relates
to the last argument), it's unnecessary.

As for monospace/proportional fonts: I don't insist on change of
shr-use-fonts default value, paragraph justification won't work with
proportional fonts though.

Current version of shr.el don't fill the text at all and I don't know
maybe smb likes it and won't welcome the change (see pics), although ERC
fills text for example.